# Filters

## **Filter: FileBird Post Types**

* &#x20;Description: Add Or Remove post type supported in FileBird Pro&#x20;
* Code example:

```
add_filter('filebird_post_types', function($post_types) {
	unset($post_types['post']);
	return $post_types;
});
```

## **Filter: Zip File with ZipStream**

* &#x20;Description: FileBird will automatically detect if ZipStream is currently installed on your PHP server, and if it’s not, it will automatically switch to using ZipArchive. The filter ‘fbv\_use\_zipstream’ helps us switch to ZipArchive if your system is currently running ZipStream but encounters an issue.
* Code example:

```
// Using ZipStream
add_filters( 'fbv_use_zipstream', '__return_true' );
// Using ZipArchive
add_filters( 'fbv_use_zipstream', '__return_false' );
```

## Filter: Switch from searching using JavaScript to using an API

Please use this filter to perform searches using FileBird API:

```
add_filter("fbv_folder_api_search", '__return_true');
```

## **Filter: S**et the default folder for user

* Description: Developers can use this filter to specify which folder should be loaded by default when the user accesses the filebird plugin.
* Code example:

```
fbv_user_default_folder
```

## **Filter: S**et the default sorting method for files within a folder

* Description: Developers can customize how files are sorted when the user first accesses a folder.
* Code example:

```
fbv_user_default_sort_files
```

## **Filter:** Set the default folder sorting method for initial plugin access.

* Description: This filter allows developers to define the default sorting method for folders for the plugin's first access.
* Code example:

```
fbv_user_default_sort_folders
```

## **Filter:** Specify the initial folder or state to load when the Filebird plugin starts.

* Description: This filter lets developers define the initial folder or state that should be loaded when the filebird plugin starts up for the user.
* Code example:&#x20;

```
fbv_user_folder_startup
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ninjateam.org/integrations/developer-zone/filters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
